Timeplan for 1.13.0?



  • As the subject states. Is there a timeplan for 1.13.0. As I understand there will be some big rewrites required for API-heavy plugins and themes.

    As an outsider it looks like most of the work is done on your part?
    https://github.com/NodeBB/NodeBB/milestone/87



  • 1.13.0 Breaking chagnes are documented here https://community.nodebb.org/topic/14126/1-13-0-breaking-changes. If your plugin isn't affected by those there is no need for changes.

    Starting with 1.13.0 nodebb will support both async/await and callback style. So all existing plugins which use the callback style should still work.

    As for timeplan 🔜


  • Gamers

    Starting with 1.13.0 nodebb will support both async/await and callback style. So all existing plugins which use the callback style should still work.

    Yup. It's the other way around that things break - if you use async/await in your plugin you can't run it on NodeBB <1.13. From experience writing plugin on a dev environment based on current master branch 🙂

    Unless you have a fallback with something like util.promisify... Hmm... Can a plugin get NodeBB version number from static:app.load hook (or get it using require)?



  • You can get the version from package.json with require.main.require('./package.json').version

    It is a better idea to use

    "nbbpm": {
        "compatibility": "^1.13.0"
      }
    

    In your plugin's package.json if you are using async/await so that your plugin does not get listed for nodebbs below 1.13.0.



  • Thank you @baris for the swift response. I have no need for backwards compatibility in my theme, so I think I will hold off on bigger changes.


Log in to reply
 

Suggested Topics

  • 11
  • 6
  • 18
  • 3
  • 9
| |